services:

  dokuwiki:
    image: mprasil/dokuwiki
    container_name: ${dokuwikiServName}
    restart: ${restartPolicy}
    # ports:
    #   - 8087:80
    networks:
      - dokuwikiNet
      - postfixNet
    external_links:
      - ${smtpServName}:${smtpHost}.${domain}
    volumes:
      - "dokuwikiData:/dokuwiki/data"
      - "dokuwikiConf:/dokuwiki/conf"
      - "dokuwikiPlugins:/dokuwiki/lib/plugins"
      - "dokuwikiLibtpl:/dokuwiki/lib/tpl"
      - "dokuwikiLogs:/var/log"
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.${dokuwikiServName}.rule=Host(`${dokuwikiHost}.${domain}`)"
      - "traefik.docker.network=dokuwikiNet"

volumes:
    dokuwikiData:
    dokuwikiConf:
    dokuwikiPlugins:
    dokuwikiLibtpl:
    dokuwikiLogs:

networks:
  dokuwikiNet:
    external: true
    name: dokuwikiNet
  postfixNet:
    external: true
    name: postfixNet
